This method will scan all orders and and return them to the caller.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/orders/{tenantId}
- https://commerce.api.rhythmsoftware.comhttps://commerce.api.rhythmsoftware.com/orders/{tenantId}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/orders/{tenantId}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The orderswere retrieved successfully.
Additional emails to send confirmation
The amount that has been authorized, but not yet captured
The type of customer being billed
The billing run action that created this order; we track it here only to pass it back through the billing service
If this order was generated by a billing run, the service that initiated it
Indicates that the shipping information was copied from the billing info. For reporting use only
The order currency
Custom metadata that can be used by custom order generation processes for hyper-customized order & invoice forms
The default, calculated merchant account id
If set, open credits are not applied to this order
Temporary value used to prevent duplicate submissions
The deadline after which this order is no longer valid. Used by generateOrder routines to restrict how long before this order can not longer be processes. Example: exhibitor-registration.generateOrder
The billing notice to run when this order succeeds; we track it here only to pass it back through the billing service
If set, this order should be charged credit card processing fees
If set, the order will be paid using more than one payment method
Any optional order payload for processing; used by some fulfillment processes (like fundraising) to support transient objects
For reporting use only, the payment method of this order
Whether or not to send an email confirmation to the bill to and ship to
The type of customer being shipped to
The type of shipping method
The order status
The date and time the order was actually submitted
The billing notice to run when this order succeeds; we track it here only to pass it back through the billing service
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
The type of order
[ { "additional_email_confirmation_recipients": [ … ], "additional_payments": [ … ], "amount_paid": 0.1, "amount_pending_capture": 0.1, "amount_refunded": 0.1, "balance_due": 0.1, "base_currency_code": "string", "base_currency_symbol": "string", "batch_id": "string", "bill_parent_organization": true, "bill_to_contact_id": "string", "bill_to_organization_id": "string", "bill_to_type": "contact", "billing_address": { … }, "billing_run_action_id": "string", "billing_run_id": "string", "billing_run_service": "string", "business_unit_id": "string", "copy_shipping_info_from_billing_info": true, "coupons": [ … ], "credit_usages": [ … ], "currency_code": "AED", "currency_symbol": "string", "custom_field_values": [ … ], "custom_metadata": {}, "date": "string", "default_merchant_account_id": "string", "discounts": 0.1, "do_not_apply_open_credits": true, "duplicate_prevention_key": "string", "event_id": "string", "exchange_rate": 0.1, "expiration_date": "2019-08-24T14:15:22Z", "failure_notice_id": "string", "id": "string", "installment_schedule_id": "string", "invoice_terms_id": "string", "line_items": [ … ], "memo": "string", "notes": "string", "number": 0, "override_order_date": true, "pay_for_credit_card_processing_fees": true, "pay_using_multiple_methods": true, "payload": {}, "payment_info": { … }, "payment_method": "ach", "preview_id": "string", "process_id": "string", "purchase_order_number": "string", "send_email_confirmation_to_customer": true, "ship_to_contact_id": "string", "ship_to_name": "string", "ship_to_organization_id": "string", "ship_to_type": "contact", "shippable": true, "shipping_address": { … }, "shipping_charges": 0.1, "shipping_method_id": "string", "shipping_method_name": "string", "shipping_method_type": "flat rate", "shipping_zone_id": "string", "special_instructions": "string", "status": "awaiting payment", "store_id": "string", "submission_date": "2019-08-24T14:15:22Z", "subtotal": 0.1, "success_notice_id": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_shippable_status": "string", "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "taxes": 0.1, "total": 0.1, "total_in_base_currency": 0.1, "total_weight": 0.1, "type": "advertising insertion order", "use_pro_forma_invoices": true } ]